pydo.account.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.account.get()
Returns JSONRaises HttpResponseError

Description

To show information about the current user account, send a GET request to /v2/account.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.getenv("$DIGITALOCEAN_TOKEN"))

account_info = client.account.get()

Response Example

Show Response Example
{
  "account": {
    "droplet_limit": 25,
    "floating_ip_limit": 5,
    "email": "[email protected]",
    "name": "Sammy the Shark",
    "uuid": "b6fr89dbf6d9156cace5f3c78dc9851d957381ef",
    "email_verified": true,
    "status": "active",
    "status_message": " ",
    "team": {
      "uuid": "5df3e3004a17e242b7c20ca6c9fc25b701a47ece",
      "name": "My Team"
    }
  }
}

More Information

See /v2/account in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.